# initializePod method

1. @override

Future<void> initializePod(

1. Object existing,
2. Class type,
3. String name

)
override

Initializes a pod instance by invoking its lifecycle methods.

This method calls initialization callbacks such as @PostConstruct methods or InitializingPod interfaces.

## Usage Example:

    final pod = MyLifecyclePod();
    await factory.initializePod(pod, Class<MyLifecyclePod>(), 'myLifecyclePod');
    // Now pod's @PostConstruct methods have been called

@param existingPod The pod instance to initialize @param type The class type of the pod @param podName The name of the pod being initialized @return A Future that completes when initialization is done

## Implementation

    @override
    Future<void> initializePod(Object existing, Class type, String name) async {
      initializeExistingPod(existing, type, name);
    }